Articles of затмение

Несистемные библиотеки в флагах компоновщика

У меня есть полностью работающее приложение, использующее некоторые C ++ и OpenCV. Он компилируется и работает успешно. Сейчас я просто пытаюсь привести в порядок свой код и внести изменения, чтобы удалить все предупреждения во время компиляции. Но есть одно предупреждение, которое я не понимаю. Кажется, это проблема с моим android.mk. Когда я компилирую, консольный вывод […]

Android.support.v7.widget.GridLayout не удалось создать экземпляр

Я пытаюсь использовать GridLayout в своем проекте, но в идеале, с помощью библиотеки поддержки Android, поэтому я могу настроить более низкие версии API. Когда я перетаскиваю GridLayout в графический конструктор макетов, появляется сообщение, объясняющее, что мне нужна библиотека совместимости для версий API старше 14 лет и спрашивает, хочу ли я установить эту библиотеку. Я нажимаю […]

Есть ли способ сделать мое приложение для Android меньше?

Я создаю новое приложение для Android. Это мое первое приложение. Он работает с инструментальными песнями, но каждая песня, которую я там помещаю, составляет 3 Мб. Мое приложение – это группа из 6 инструментальных песен. Есть ли способ уменьшить размер моего приложения?

Как настроить proguard для Android-приложения с помощью Google Drive SDK?

Когда Eclipse включает proguard при создании Quickstart : запустите приложение для дисковода на примере приложения Android , приложение теряет способность загружать файлы. Идентификатор клиента API Google отображается правильно, учитывая, что версия выпуска приложения отлично работает при построении без proguard. Однако такая загрузка файла приложения версии версии не работает при построении в Eclipse с включенной proguard. […]

Нет уровня соответствия компилятора Java 1.8 при запуске Android Bundle / Eclipse Juno под Oracle JDK 8

Я использую Android Bundle / Eclipse Juno под Oracle JDK 8 в качестве Java по умолчанию в своем блоке Fedora 21 KDE. В настройках отсутствует уровень соответствия компилятора Java 1.8. Когда я открыл уровень соответствия компилятора Eclipse, было установлено значение 1.4, и оно достигло 1,8. Здесь что-то не так?

Замена карт google для открытия карты улиц

Я новичок в этом. Я создаю приложение для Android, которое находит мои контакты. Я пробовал некоторые учебники, и он работает. Но как заменить карту google, чтобы открыть уличную карту. У меня есть этот код. <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.PositionLocator.android"> <application android:icon="@drawable/icon"> <activity android:name=".PositionLocator" android:label="@string/app_name"> </activity> <activity android:name=".PositionLocatorMap" android:label="@string/app_name"> <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" […]

В службах google play нет libproject (Rev. 30) в eclipse Juno

Я не знаю, что произошло, но я не смог найти libproject внутри google play. Я только что обновил его. Мой файл apk стал jar-файлом после очистки проекта, поэтому я проверил сервисы Google Play, и я обнаружил, что libproject не добавляется в проект. Есть документы и образцы, но в libproject. Я не нашел решения в Интернете, […]

Каков путь "getApplicationContext (). GetFilesDir ()" return?

Я делаю простое приложение на Android, и в определенной части приложения я хотел бы создать файл Excel и написать в нем. Я уже подготовил все, чтобы использовать библиотеку jexcel для редактирования excel с использованием Java, но дело в том, что я не могу найти файл Excel, который я создал. Я попытался найти его на своем […]

Android + Eclipse: как очистить / сбросить AVD

Есть ли способ «очистить» AVD? Могу ли я удалить и повторно создать его? Этот вопрос заключается в том, что я разрабатываю собственный макет для ListView и я не вижу обновления, которое я применяю. Я также попытался удалить приложение, чтобы очистить и повторно запустить его безуспешно.

GridLayout дает ошибки, сбой приложения

Я довольно новичок в макетах, но мне удалось успешно сделать красиво выглядящий макет (для планшета). В Eclipse он отлично работает. Я сделал все это с «целью» на Android 4.0 (ICS), но, очевидно, мой планшет работает только с 3.0 (Honeycomb). Когда я понял ошибку, я изменил конфигурацию просмотра / редактирования на 3.2, но Eclipse больше не […]